import express from 'express'

import { getSelf } from '../../controllers/self.js'
import asyncHandler from '../../middleware/asyncHandler.js'

const router = express.Router()

router.get('/', asyncHandler(getSelf))

export default router
