export const confirmSchema = {
  token: {
    in: ['params'],
    exists: true,
    errorMessage: 'Missing field'
  }
}

export const loginSchema = {
  emailOrUsername: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  password: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  }
}

export const registerSchema = {
  email: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  password: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  },
  gmlid: {
    in: ['body'],
    errorMessage: 'Missing field'
  }
}

export const updatePasswordSchema = {
  token: {
    in: ['params'],
    exists: true,
    errorMessage: 'Missing field'
  },
  password: {
    in: ['body'],
    exists: true,
    errorMessage: 'Missing field'
  }
}
