export const allowOrRevokeSharingSchema = {
  sharingAllowed: {
    in: ['body'],
    errorMessage: 'Missing field',
    exists: true,
    isBoolean: true,
    toBoolean: true
  }
}

export const updatePasswordSchema = {
  id: {
    in: ['params'],
    exists: true,
    isString: true
  },
  newPassword: {
    in: ['body'],
    errorMessage: 'Missing field',
    exists: true,
    isString: true
  }
}

export const updateUserSchema = {
  id: {
    in: ['params'],
    exists: true,
    isString: true
  },
  email: {
    in: ['body'],
    errorMessage: 'Missing field',
    exists: true,
    isString: true
  }
}
